/* -*- C++ -*-
 *
 * $Id: InsertBibitemDialog.h,v 1.3 1998/08/11 16:39:35 kuepper Exp $
 */


#ifndef _INSERTBIBITEMDIALOG_H
#define _INSERTBIBITEMDIALOG_H


#include <qdialog.h>


class QLabel;
class QLineEdit;

class LyXView;
class InsetCommand;


/**
 * @ short Enter bibliography item
 *
 * This dialog is used to enter new bibliography items when using thebibliography
 * standardwise or used to enter the databases and the bib-style when using bibtex.
 *
 * That's why we need the ability to change the labels from the outside.
 *
 * @version $Id: InsertBibitemDialog.h,v 1.3 1998/08/11 16:39:35 kuepper Exp $
 */
class InsertBibitemDialog : public QDialog
{
    Q_OBJECT

public:

    InsertBibitemDialog ( LyXView* view, QWidget * parent=0, 
			  const char * name=0, WFlags f=0 );

    void setInset( InsetCommand* _inset ) { inset = _inset; }

    /**
     * Set new label text and resize to show the whole label.
     */
    void setFirstLabel( const char* );

    /**
     * Set new label text and resize to show the whole label.
     */
    void setSecondLabel( const char* );

    void setFirstEdit( const char* );

    void setSecondEdit( const char* );


private slots:

    void okClicked();


private:

    LyXView* _view;
    InsetCommand* inset;
  
    QLabel* firstLA;
    QLineEdit* firstED;
    QLabel* secondLA;
    QLineEdit* secondED;
};



#endif
